Docs
Search docs...⌘K

Project Issues

GET/v3/site-audit/issues

This endpoint consumes a fixed cost of 50 API units per request.

Query parameters

date_comparedstring

A timestamp in YYYY-MM-DDThh:mm:ss format specifying the crawl date to compare metrics with. Follows the same rules as the date field.

datestring

A timestamp in YYYY-MM-DDThh:mm:ss format specifying the crawl date to retrieve metrics from. Defaults to the most recent available crawl if omitted. For scheduled crawls, we return data from the latest crawl finished before the specified timestamp. For Always-on audit crawls, we return data as of the provided date and time. If the time component is omitted, it defaults to 00:00:00. The timestamp is interpreted in UTC.

project_idintegerRequired

The unique identifier of the project. You can find it in the URL of your Site Audit project in Ahrefs: https://app.ahrefs.com/site-audit/#project_id#

outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

issuesarray
issue_idstring

The unique identifier of the issue.

namestring

The name of the issue.

importancestring

The importance of the issue. Possible values: Error, Warning, Notice.

categorystring

The category of the issue. Possible values: Internal pages, Indexability, Links, Redirects, Content, Social tags, Duplicates, Localization, Usability and performance, Images, JavaScript, CSS, Sitemaps, External pages, Other.

is_indexableboolean or null

True if the issue applies only to indexable pages.

crawledinteger

Number of URLs currently affected by the issue.

changeinteger or null

Difference in the number of affected URLs between the specified dates.

addedinteger or null

Number of URLs that have the issue on the current date but did not have it on the previous date.

newinteger or null

Number of newly discovered URLs that have the issue on the current date.

removedinteger or null

Number of URLs that had the issue on the previous date but no longer have it on the current date.

missinginteger or null

Number of URLs that had the issue on the previous date but cannot be found on the current date.